LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
AnimationFill.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::animations
| interfaces for SMIL animations.

## Constant Groups
constants | com::sun::star::animations::AnimationFill
| This constants are used for the members fill() and fillDefault() of the an XTimeContainer.

## Variables
const short | DEFAULT = 0
| The fill behavior for the element is determined by the value of the XTiming::FillDefault attribute. More...
const short | INHERIT = 0
| Specifies that the value of this attribute (and of the fill behavior) are inherited from the XTiming::FillDefault value of the parent element. More...
const short | REMOVE = 1
| Specifies that the element will not extend past the end of the last instance of the simple duration. More...
const short | FREEZE = 2
| Specifies that the element will extend past the end of the last instance of the simple duration by "freezing" the element state at that point. More...
const short | HOLD = 3
| Setting this to "hold" has the same effect as setting to "freeze", except that the element is always frozen to extend to the end of the simple duration of the parent time container of the element (independent of the type of time container). More...
const short | TRANSITION = 4
| Setting this to "transition" has the same effect as setting to "freeze", except that the element is removed at the end of the transition. More...
const short | AUTO = 5
| The fill behavior for this element depends on whether the element specifies any of the attributes that define the simple or active duration: More...